Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class MixinInstanceMetaProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaBeanProperty
              org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaProperty

    public class MixinInstanceMetaProperty
    extends MetaBeanProperty

MetaProperty for mixed in classes

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.lang.MetaProperty
`name, PROPERTY_SET_PREFIX, type`

Constructor Summary
Constructor and Description
`MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)`

Method Summary
Modifier and Type | Method and Description
--- | ---

Methods inherited from class groovy.lang.MetaBeanProperty
`getField, getGetter, getModifiers, getProperty, getSetter, setField, setProperty`

Methods inherited from class groovy.lang.MetaProperty
`getGetterName, getName, getSetterName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixinInstanceMetaProperty

    public MixinInstanceMetaProperty(MetaProperty property,
                                     MixinInMetaClass mixinInMetaClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD